# Type alias AdapterConstructor<_C, A, N>

AdapterConstructor<_C, A, N>: AdapterDatabases<A, N>

#### Type Parameters

- #### _C extends Meta.Collections

- #### A extends Meta.Pouch.Adapters.Generic.Adapters = Meta.Pouch.Adapters.Generic.Adapters

- #### N extends Meta.Pouch.Adapters.Generic.AdapterName<A> = Meta.Pouch.Adapters.Generic.AdapterName<A>

- Defined in packages/db/src/meta/pouch/adapters/types.ts:39

Generated using TypeDoc